# Uses of Class
org.eclipse.ui.views.markers.internal.MarkerTypesModel

Packages that use MarkerTypesModel
Package
Description
org.eclipse.ui.views.markers.internal

## Uses of MarkerTypesModel in org.eclipse.ui.views.markers.internal

Methods in org.eclipse.ui.views.markers.internal that return MarkerTypesModel
Modifier and Type
Method
Description
`static MarkerTypesModel`
MarkerTypesModel.`getInstance()`
Return the singleton implementation.
Constructors in org.eclipse.ui.views.markers.internal with parameters of type MarkerTypesModel
Modifier
Constructor
Description
``
`MarkerType(MarkerTypesModel model, String id, String label, String[] supertypeIds)`
Creates a new marker type.